WordPress.org

Support

Support » Plugins and Hacks » [Resolved] WP 3.9 conflict?

[Resolved] WP 3.9 conflict?

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author Milan Petrovic

    @gdragon

    I will release update for this plugin tomorrow, it should be working fine with new WP after update.

    Wonderful to see that you’re on top of this!

    Plugin Author Milan Petrovic

    @gdragon

    I have tested plugin with WP 3.9, and I can’t find any problems. Everything works fine. Maybe you have some JavaScript conflict that prevents my plugin code to run?

    Did you test with BuddyPress 2.0?

    I have tested plugin with WP 3.9, and I can’t find any problems. Everything works fine. Maybe you have some JavaScript conflict that prevents my plugin code to run?

    Yes, you are right. After trying everything I found the conflict is with this plugin – bbPress Enable TinyMCE Visual Tab

    Thanks again Milan.

    It not just the Enable TinyMCE Visual Tab plug, even if you enable TinyMCE in BBpress on your Function.php with

    function bbp_enable_visual_editor( $args = array() ) {
        $args['tinymce'] = true;
        return $args;
    }
    add_filter( 'bbp_after_get_the_content_parse_args', 'bbp_enable_visual_editor' );

    You still can’t quote.

    Nice catch, guys! I also use Enabled TinyMCE Visual Tab.

    This makes total sense, now. WordPress 3.9 updated TinyMCE, but bbPress hasn’t caught up yet. So either the bbPress functions.php switch, or the enabling plugin will probably create an internal conflict with the new editor.

    So it looks like we must wait for bbPress to be updated, which I would expect to be very soon.

    This isn’t a bbPress issue, bbPress works fine with TinyMCE 4.0 included with WordPress 3.9 with the method outlined above.

    I’ve done quite a bit of testing with the new TinyMCE and bbPress, the previous version of TinyMCE gave us quite a few compat issues and that is why it was removed in bbPress 2.3.1. I am hoping with the improvements we can once again enable it as an option in an upcoming bbPress release.

    I haven’t tested this plugin or compat with any other plugins in this regard, just bbPress core and WordPress core.

    Enable Visual Editor

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘[Resolved] WP 3.9 conflict?’ is closed to new replies.